/*
	File:		DrawTkl.h

	Contains:	

	Written by: 	

	Copyright:	Copyright  1991-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/10/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#ifndef _drawtkl_
#define _drawtkl_
/******************************************************************************\
* Header Files
\******************************************************************************/

#ifndef __MENUS__
#include <Menus.h>
#endif

#ifndef __TYPES__
#include <Types.h>
#endif

#ifndef _concordia_
#include "Concordia.h"
#endif


/******************************************************************************\
* Constants and Macros
\******************************************************************************/

/* SICN Resource Icon Indeces */
#define topScroll 0 //Specifies top scroll arrow drawing
#define botScroll 1 //Specifies bottom scroll arrow drawing
#define heirArrow 2 //Specifies hierarchical arrow drawing

#define scrlIconHeight 8 //Height of scroll icon in pixels


/******************************************************************************\
* Function Prototypes
\******************************************************************************/

void DoDrawMsg (MenuHandle, Rect *);
void DrawItem (Str255, ItemInfoPtr, Rect *, short);
void DrawScroll (Rect *, short);


#endif
