/*
	File:		MenuStuff.h

	Contains:	Handles the application's menus

	Written by: Chris White	

	Copyright:	Copyright  1995-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/5/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/


#ifndef __MENUSTUFF__
#define __MENUSTUFF__




enum
{
	/* Menu ID numbers */
	
	kMenuBarID = 1000,
	kAppleMenu = 1000,
	kFileMenu,
	kEditMenu,
	kFragmentMenu
};



enum
{
	/* Apple menu commands */
	
	cAbout = 1
};



enum
{
	/* File menu commands */
	
	cNew = 1,
	cOpen,
	cClose,
	/* --- */
	cSave = 5,
	cSaveAs,
	/* --- */
	cQuit = 8
};



enum
{
	/* Fragment menu commands */
	
	cGetInfo = 1,
	cExports,
	/* --- */
	cMoveTo = 4,
	cCopyTo,
	/* --- */
	cRemove = 7
};



#endif	// define __MENUSTUFF__