/*
	File:		Common.h

	Contains:	common data types and defs for both applications

	Written by: 	

	Copyright:	Copyright  1992-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/10/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/
#include <Types.h>
#include <AppleEvents.h>
#include <AEDataModel.h>
/* structure for passing around resource information */
#pragma options align=mac68k
typedef struct myResInfoStruct{
		short id;
		ResType theType;
		unsigned long length;
		Str255 theName;
}myResInfoStruct;
#pragma options align=reset
typedef myResInfoStruct *myResInfoPtr,**myResInfoHdl;
/* a little struct to install handlers from.  Makes it easier to plug in */
/* new handlers */
struct AEinstalls {
    AEEventClass theClass;
    AEEventID theEvent;
  	AEEventHandlerProcPtr theProc;
};
typedef struct AEinstalls AEinstalls;


#define kMungeDeamonCreator 'MUNG'
#define kMyEventClass 'MUNG'
#define kMyTypeOfData 'MAVT'
#define kGetResEvent 'FRIT'
#define kGetResInfoEvent 'FRFS'
#define keyMyQuitFlag 'MYQT'
#define kTypeDesired '?TYP'
#define kMyResTypeParam 'RTYP'
#define typeMyResType 'RTYP'

#define typeMyResInfoType	'RESI'


enum {kAppleEventTooBig = 7080,kListGrewTooBig};

/* one external */
extern void _DataInit();                                    /* this is the C initialization code */
