/*
	File:		ictbSample.r

	Contains:	This snippet shows the an example of ictb resource this is discussed in 
				Inside Macintosh:Macintosh Toolbox Essentials, page 6-158 t0 6-164.
				It is based on the Dialog Manager Q&A technote.  You can find the technote
				in the Dev.CD Jun 96 RL
		  			Technical Documentation
		   				 Macintosh Technical Notes
		      				Archive
		        				Toolbox
		          					tb_525.html.
		     
				There is no Rez template for it, and no ResEdit template or editor.  
				This sample ictbSample.r shows how you can do one by hand.

				The best solution is to get Resorcerer which provides an excellent ictb editor. 
				With Resorcerer, it is really simple to use ictb in your dialog boxes.

	Written by: Albert Hui	

	Copyright:	Copyright  1996-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				8/6/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/


#include "Types.r"

data 'ictb' (128) {
    $"0020 0020"           /*$00 the button */
    $"0000 0000"           /*$04 Check box 1 */
    $"0000 0000"           /*$08 Check box 2  */
    $"0000 0000"           /*$0C Check box 3  */
    $"0000 0000"           /*$10 Edit Text 1  */
    $"000D 0040"           /*$14 Edit Text 2 just change the family, */
                           /*                   size, and text color */
    $"8005 0054"           /*$18 Edit Text 3 change family and size, */
                           /*                        using font name */
    $"8005 0068"           /*$1C Stat Text 1 */
/* Start of the ictb items here */
    /* Color table for the done button */
    $"0000 0000"           /*$20 ccSeed */
    $"0000 0002"           /* Reserved / size of color table */
    $"0000 0000 0000 FFFF" /* cFrameColor, 65535,65535,52428 */
    $"0001 FFFF FFFF CCCC" /* cBodyColor, 0, 0, 0 */
    $"0002 0000 0000 FFFF" /* cTextColor, 0, 0, 65535 */
    /* Edit Text item 5 text/color info... */
    $"0001"                /*$40 diFont application font */
    $"0000"                /*$42 diStyle plain */
    $"000A"                /*$44 diSize whatever... */
    $"FFFF 8000 0000"      /*$46 forecolor */
    $"FFFF FFFF CCCC"      /*$4C backColor */
    $"0000"                /*$52 diMode */
	  /* Edit Text item 6 text/color info... */
    $"008C"                /*$54 diFont application font */
    $"0000"                /*$56 diStyle outline  */
    $"000C"                /*$58 diSize whatever... */
    $"0000 0000 0000"      /*$5A forecolor */
    $"FFFF FFFF CCCC"      /*$60 backColor */
    $"0000"                /*$66 diMode */
    /* Edit static text item 8 /color info... */
    $"007C"                /*$68 diFont application font */
    $"0000"                /*$6A diStyle plain */
    $"000C"                /*$6C diSize whatever... */
    $"0000 0000 0000"      /*$6E forecolor */
    $"FFFF FFFF CCCC"      /*$74 backColor */
    $"0000"                /*$7A diMode */
/* Start of the font name table here */
    $"0743 6F75 7269 6572" /*$7C font name Courier */
	$"0647 656E 6576 6100" /*$84 font name Geneva */
	$"0850 616C 6174 696E" /*$8C font name Palatino */
	$"6F00" 
};
